library nexus_mobile;
import 'package:dio/dio.dart';

class NexusConnection extends Dio {

  static NexusConnection _singleton = new NexusConnection._();

  // private constructor
  NexusConnection._([BaseOptions options]): super(options){
  } // constructor


  static NexusConnection get instance{
    return _singleton;
  }

  /// Used to replace the existing singleton with a new version.
  /// Not usually needed unless exotic options need to be passed in
  static void set instance( BaseOptions baseOptions ){
    _singleton = NexusConnection._(baseOptions);
  }


}